## libgda4 4.0.2-0maemo0

=== debian/changelog ===
libgda4 (4.0.2-0maemo0) unstable; urgency=low

  * New upstream release
  * Package for maemo

 -- Johannes Schmid <jschmid@openismus.com>  Wed, 17 Jun 2009 10:06:45 +0200

libgda4 (4.0.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #345132)
    - misc. corrections
    - use XDG Base Directory Specification to store DSN list
    - some minor bugfixes

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 19 Mar 2009 00:05:43 +0100

libgda4 (3.99.13-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #340462)
    - libgda/gda-value.c: improved performances on gda_binary_to_string()
      and gda_string_to_binary(): removed g_memmove() usage and convert any
      non ASCII printable char to an octal representation (don't bither with
      unicode anymore)
    - libgda/gda-value.c: fix for bug #574193
    - tests/Makefile.am:
    - tests/test-ddl-creator.c: remove created DB before running test, and run
      as a test
    - tests/Makefile.am:
    - tests/tests/test-bin-converter.c: new test for gda_binary_to_string()
      and gda_string_to_binary()
    - configure.in: use ncurses if found instead of ncuses, fixes bug #574021
    - tools/tools-input.c: currected compilation issue if readline is not
      found, fixes bug #574020
    - configure.in:
    - libgda/Makefile.am:
    - libgda/gda-data-model-bdb.c:
    - providers/bdb/Makefile.am: the berkeley db livrary is now loaded only
      when needed: the libgda library is not linked directly with it anymore
    - tools/gda-sql.c:
      * corrected the "\i" command
      * corrected multi line commands handling
    - tools/gda-threader.c: removed unnecessary warning
    - tests/parser: added a new test which checks the parsing of whole script
      files
    - libgda/sql-parser/gda-sql-parser.c: consider a single '#' to be the
      start of a comment up to the end of the line for MySQL
    - libgda/libgda.symbols: added missing symbols
      (gda_data_model_error_get_type and 
      gda_utility_data_model_find_column_description), and other corrections
    - libgda/sqlite/: renamed symbols which are not supposed to be exported
    - libgda/libgda.symbols:
    - libgda/gda-row.[ch]: added gda_row_invalidate_value() and
      gda_row_value_is_valid() to be used by database providers' 
      implementations to tag individual values in a GdaRow as invalid (either
      because the value coud not be read or because the value could not be 
      intepreted as the requested data type)
    - libgda/sqlite: SQLite provider's improvements:
      * handle int64 types
      * fixed a bug when using the '*' in a SELECT to get a blob data
      * use the new gda_row_invalidate_value() API
    - libgda/gda-data-access-wrapper.c:
    - libgda/gda-data-model-array.c:
    - providers/mysql/gda-mysql-recordset.c:
    - providers/postgres/gda-postgres-recordset.c: use the new
      gda_row_invalidate_value() API
    - libgda/gda-data-select.c: use the new gda_row_value_is_valid() API
    - libgda/gda-data-model.c: gda_data_model_dump_as_string() and
      gda_data_model_dump () now display #### when the value of a column 
      can't be obtained and displayed instead of undefined result
    - providers/mysql: more work on the MySQL provider:
      * some work on the parameters' binding to use the correct type (not
        always MYSQL_TYPE_STRING
      * don't pass the bound parameters to the GdaMysqlPStmt as it does not
        use them
      * double free problem in GdaMysqlRecordset
    - providers/mysql: more work on the MySQL provider:
      * use a MYSQL_STMT per prepared statement
      * if the same prepared statement is executed more than once and is
        a SELECT, then use another MYSQL_STMT to avoid conflicting with
        the previous one
    - libgda/sql-parser/gda-statement-struct.c:
    - doc/C: doc. improvements
    - libgda/gda-meta-struct.c: misc corrections
    - libgda/gda-data-proxy.c: made it thread safe
    - libgda/libgda.symbols:
    - libgda/gda-util.[ch]: added gda_sql_identifier_split()
    - providers/mysql/*: more MySQL provider work:
      * remove double quotes around tables names when rendering SQL
      * make sure the connection uses UTF-8
      * corrected the handling of NULL values in GdaMysqlRecordset
      * removed compilation warnings
      * improved meta data retreival
    - libgda/gda-connection.c: improved debug message
    - libgda/sqlite/sqlite-src/Makefile.am: define the
      SQLITE_OMIT_LOAD_EXTENSION flag to avoid having to link with libdl, 
      possible fix for bug #572277
    - providers/mysql/gda-mysql-meta.c:
    - providers/mysql/gda-mysql-recordset.c: general MySQL provider
      improvements
    - providers/mysql/gda-mysql-provider.c: possible fix for bug #572394
    - libgda/gda-util.c (gda_utility_data_model_dump_data_to_xml): Don't
      leak rcols, fixes bug #572734
    - libgda/sqlite/gda-sqlite-provider.c:
      gda_sqlite_provider_begin_transaction()
      gda_sqlite_provider_commit_transaction()
      gda_sqlite_provider_rollback_transaction(): Set error when statement
      execution fails.
    - libgda/gda-meta-store.c: corrected
      gda_meta_store_schema_get_structure(), fixes bug #542847
    - libgda/sqlite/sqlite-src: uses SQLite version 3.6.11
    - doc/C: doc. improvements regarding GdaDataHandler
    - make sure the gda_data_handler_get_sql_from_value() function is 
      implemented in a coherent way, fixed bug #572220
    - Makefile.w32: removed any obsolete reference to bonobo,
      for bug #571879
    - fixed gda_string_to_binary() and gda_string_to_blob(),
      for bug #572028
    - removed the const from gda_value_take_binary() and
      gda_value_take_blob()
    - samples/MetaStore/example.c: corrected the usage of
      gda_connection_get_meta_store_data()
    - libgda/gda-connection.c: when using gda_connection_get_meta_store_data()
      with GDA_CONNECTION_META_FIELDS, accept the filter composed of


=== debian/rules ===
#!/usr/bin/make -f 
# -*- Makefile -*-

DISABLE_UPDATE_UPLOADERS := 1
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-z,defs

LDFLAGS += -Wl,--as-needed

LDFLAGS += -Wl,-O1

LDFLAGS += -ldl

GNOME_MODULE := libgda

SONAME := 4
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=$(shell pg_config --includedir) --without-bdb --without-mSQL --without-ibmdb2 --without-sybase --without-tds --without-oracle --without-firebird --without-xbase --without-mdb --without-ldap --without-mysql
DEB_DH_STRIP_ARGS += --dbg-package=libgda4-$(SONAME)
DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers

clean::
	sed -e 's#@SONAME@#$(SONAME)#g' \
		-e 's#@GNOME_TEAM@#$(UPLOADERS)#g' \
		debian/control.in >debian/control
	
	# remove generated files
	rm -f libsql/lexer.c
	rm -f libsql/parser.c

$(DEB_BUILDDIR)/config.status: DEB_CONFIGURE_EXTRA_FLAGS += $(shell if test -f /usr/share/pkgconfig/gtk-doc.pc; then echo "--enable-gtk-doc"; fi)

common-binary-post-install-arch::
	for i in libgda4-common libgda4-bin libgda4-dev libgda4-$(SONAME)-dbg \
	  libgda4-mysql libgda4-postgres libgda4-sqlite; \
	do \
		rm -rf debian/$$i/usr/share/doc; \
		dh_link -p$$i usr/share/doc/libgda4-$(SONAME) usr/share/doc/$$i; \
	done

.PHONY: clean common-binary-post-install-arch

## libgda4 4.2.8

=== samples/DirDataModel/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-4.0`
LDFLAGS = `pkg-config --libs libgda-4.0`

all: find-duplicates

find-duplicates: find-duplicates.c
	$(CC) -o find-duplicates find-duplicates.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f find-duplicates

=== samples/SimpleUIForm/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-ui-4.0`
LDFLAGS = `pkg-config --libs libgda-ui-4.0`

all: example-rw example-ro

example-rw: example.c
	$(CC) -o example-rw example.c $(CFLAGS) -DWRITABLE $(LDFLAGS)

example-ro: example.c
	$(CC) -o example-ro example.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f example-r*

## libgda4 4.0.4-0maemo0

=== debian/changelog ===
libgda4 (4.0.4-0maemo0) unstable; urgency=low

  * New upstream version

 -- Johannes Schmid <jschmid@openismus.com>  Mon, 31 Aug 2009 12:12:21 +0200

=== debian/control ===
Source: libgda4
Section: libs
Priority: optional
Maintainer: Gustavo R. Montesino <grmontesino@ig.com.br>
Uploaders: 
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda3/
Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda3/
Build-Depends: bison,
               cdbs (>= 0.4.41),
               debhelper (>= 5),
               dpkg-dev (>= 1.13.19),
               gnome-pkg-tools (>= 0.10),
               intltool,
               pkg-config (>= 0.18),
               libglib2.0-dev (>= 2.12.0),
               libxml2-dev (>= 2.4.22),
               libxslt1-dev (>= 1.0.18),
               libpq-dev,
               libsqlite3-dev (>= 3.6.0),
               libgdbm-dev,
               libreadline5-dev,
               libpopt-dev,
               zlib1g-dev,
               scrollkeeper,
               libsoup2.4-dev,
               sqlite3 (>= 3.6.0),
Build-Depends-Indep: gtk-doc-tools,
                     sgmltools-lite
Standards-Version: 3.7.3

Package: libgda4-4
Section: libs
Architecture: any
Depends: libgda4-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: libgda4-bin
Suggests: libgda4-mysql,
          libgda4-postgres,
          libgda4-sqlite,
Conflicts: libgda2-1
Replaces: libgda2-1
Description: GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains the shared libraries.

Package: libgda4-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgda-common (<< 0.2.96-6.2)
Replaces: libgda-common (<< 0.2.96-6.2)
Description: Binary files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains binary files for libgda4.


Package: libgda4-common
Section: misc
Architecture: all
Recommends: libgda4-4
Conflicts: libgda-common (<< 0.2.96-6.2)
Replaces: libgda-common (<< 0.2.96-6.2)
Description: Common files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains common files for libgda4.

Package: libgda4-dev
Section: libdevel
Architecture: any
Depends: libgda4-4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.2.0),
         libxslt1-dev,
         ${misc:Depends}
Suggests: libgda4-doc
Description: Development files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains the header files and libraries which
 you need for development.

Package: libgda4-4-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgda4-4 (= ${binary:Version}),
         ${misc:Depends}
Description: GDA4 library and debugging symbols
 GDA is GNOME Data Access.
 .
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgda4-doc
Section: doc
Architecture: all
Depends: lynx | www-browser,
         ${misc:Depends}
Conflicts: libgda-doc
Description: Documentation files for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains some document files about libgda4.

Package: libgda4-postgres
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostgreSQL backend plugin for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains PostgreSQL backend plugin. You need to install this
 package, if you want to use libgda4 with PostgreSQL.

Package: libgda4-sqlite
Section: gnome
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SQLite backend plugin for GNOME Data Access library for GNOME2
 GNOME Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information servers,
 mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 This library is made for GNOME2, but it doesn't require GNOME2 libraries.
 .
 This package contains SQLite backend plugin. You need to install this
 package, if you want to use libgda4 with SQLite.

## libgda4 4.0.9

=== debian/changelog ===
libgda4 (4.0.9-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Let gir1.0-gda-4.0 depend on ${gir:Depends}.
    - Build depend on gir1.0-freedesktop and gir1.0-glib-2.0.
  * debian/rules:
    - Call dh_girepository for gir1.0-gda-4.0.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Piotr Pokora ]
  * New upstream. Closes: #577711

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 16 Jul 2010 23:37:27 +0200

libgda4 (4.0.8-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Run the test suite during the build, but don't make it fatal (yet).

  [ Piotr Pokora ]
  * New upstream
  * Build depend on libmysqlclient-dev package.
  * Added libgda4 possible conflicts (also added to Replaces for save updates).
  * New gir1.0-gda-4.0 package
  * Dev package suggests doc one

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Mon, 08 Mar 2010 19:34:07 +0100

libgda4 (4.0.7-1) unstable; urgency=low

  * New upstream
  * Removed libgda3-doc suggested package

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 10 Feb 2010 16:28:43 +0100

libgda4 (4.0.6-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Build depend on libreadline-dev rather than libreadline5-dev.
    Closes: #553798.

  [ Josselin Mouette ]
  * Explicitly disable java.

  [ Piotr Pokora ]
  * New upstream release
  * Removed duplicated libsqlite3-dev build dependency

  [ Emilio Pozuelo Monfort ]
  * Standards-Version is 3.8.4, no changes needed.

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Thu, 28 Jan 2010 11:31:29 +0100

libgda4 (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bump libglib2.0-dev build dependency and remove libgnomevfs-dev,
    to build with gio support.
  * debian/patches/01_manpage.patch:
    - Removed, fixed upstream.
  * Standards-Version is 3.8.3, no changes needed.
  * Remove DM-Upload-Allowed field.
  * debian/rules:
    - Don't install the trml python modules, they are optional
      and we should use the standalone packages in any case.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Sep 2009 00:01:06 +0200

libgda4 (4.0.2-1) unstable; urgency=low

  [ Gustavo R. Montesino ]
  * New major upstream version. Closes: #520092.
    - Update packaging for the new version.
  * debian/control.in: 
    - Add misc depends to libgda4-common
    - Fix MySQL spelling
  * debian/patches:
    - 01_gds_info_new_remove.patch: Removed - not relevant anymore
    - 02_libgda3_ia64_segv.patch: Removed - applied upstream 

  [ Emilio Pozuelo Monfort ]
  * debian/watch: don't uupdate.
  * The dbg package is section debug.
  * debian/rules: little cleanup.
  * debian/copyright: point to the versionful license.
  * debian/control: Inherit the Section from the source stanza where
    it's duplicated.
  * Standards-Version is 3.8.2, changes:
    - Don't ship our own copy of jquery.js, link to the one in libjs-jquery
      instead. Thus depend on libjs-jquery.
  * Move some packages to the database section.
  * debian/control: clean up whitespaces.
  * Add Homepage field.
  * New upstream release.
    - Use the system sqlite instead of our own copy.
  * debian/copyright: Updated.
  * Rename the binary packages to match the library name in the packages.

  [ Josselin Mouette ]
  * 01_manpage.patch: fix syntax error in a manual page.
  * Don’t include libtool files.
  * Put the sqlite provider directly in the library package, so that 
    there is always at least one working provider.
  * Set the list as maintainer, since Gustavo’s email bounces.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 Aug 2009 16:52:54 +0200

=== debian/control ===
Source: libgda4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda4/
Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda4/
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               dpkg-dev (>= 1.13.19),
               gnome-pkg-tools (>= 0.11),
               intltool,
               pkg-config (>= 0.18),
               libjson-glib-dev,
               libglib2.0-dev (>= 2.16),
               libsqlite3-dev (>= 3.6.11),
               libxml2-dev (>= 2.4.22),
               libxslt1-dev (>= 1.0.18),
               libmysqlclient-dev,
               libncurses5-dev,
               libpq-dev,
               libreadline-dev,
               libpopt-dev,
               libsoup2.4-dev,
               zlib1g-dev,
               scrollkeeper,
               gobject-introspection (>= 0.6.5),
               libgirepository1.0-dev (>= 0.6.5),
               gir1.0-freedesktop,
               gir1.0-glib-2.0
Build-Depends-Indep: gtk-doc-tools,
                     sgmltools-lite
Standards-Version: 3.8.4
Homepage: http://www.gnome-db.org/

Package: libgda-4.0-4
Architecture: any
Depends: libgda-4.0-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgda-4.0-bin,
          libgda-4.0-mysql,
          libgda-4.0-postgres
Conflicts: libgda2-1, libgda4-4, libgda4-sqlite
Replaces: libgda2-1, libgda4-4, libgda4-sqlite
Description: data abstraction library based on GLib
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.

Package: libgda-4.0-bin
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-bin
Replaces: libgda-common (<< 0.2.96-6.2), libgda4-bin
Description: data abstraction library based on GLib -- binary files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains binary files for libgda.


Package: libgda-4.0-common
Section: database
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery
Recommends: libgda-4.0-4
Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-common
Replaces: libgda-common (<< 0.2.96-6.2), libgda4-common
Description: data abstraction library based on GLib -- common files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains common files for libgda.

Package: libgda-4.0-dev
Section: libdevel
Architecture: any
Depends: libgda-4.0-4 (= ${binary:Version}),
         libglib2.0-dev (>= 2.2.0),
         libxslt1-dev,
         ${misc:Depends}
Suggests: libgda-4.0-doc
Conflicts: libgda4-dev, libgda4-sqlite
Replaces: libgda4-dev, libgda4-sqlite
Description: data abstraction library based on GLib -- development files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the header files and libraries needed for
 development.

Package: libgda-4.0-4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgda-4.0-4 (= ${binary:Version}),
         ${misc:Depends}
Description: data abstraction library based on GLib -- debug files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains dettached symbols for debug. Most people
 don't need this package.

Package: libgda-4.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser,
         ${misc:Depends}
Conflicts: libgda-doc
Description: data abstraction library based on GLib -- documentation files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains document files about libgda API.

Package: libgda-4.0-mysql
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgda4-mysql
Replaces: libgda4-mysql
Description: MySQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access MySQL databases
 through libgda.

Package: libgda-4.0-postgres
Section: database
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgda4-postgres
Replaces: libgda4-postgres
Description: PostgreSQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access PostgreSQL
 databases through libgda.

Package: gir1.0-gda-4.0
Section: libs
Architecture: any
Depends: libgda-4.0-4 (= ${binary:Version}),
        ${shlibs:Depends},
        ${misc:Depends},
        ${gir:Depends}
Description: data abstraction library based on GLib -- GObject Introspection
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains introspection data for libgda.

## libgda4 4.0.12

=== debian/changelog ===
libgda4 (4.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Tue, 12 Oct 2010 18:58:26 +0200

=== debian/rules ===
#!/usr/bin/make -f 
# -*- Makefile -*-

DISABLE_UPDATE_UPLOADERS := 1
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libgda
SONAME := 4

LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1
DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

DEB_MAKE_CHECK_TARGET = check || true

DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=$(shell pg_config --includedir)	\
				--without-bdb		\
				--without-mSQL		\
				--without-ibmdb2	\
				--without-sybase	\
				--without-tds		\
				--without-oracle	\
				--without-firebird	\
				--without-xbase		\
				--without-mdb		\
				--without-ldap		\
				--without-java		\
				--enable-system-sqlite

# Only build the docs if this file is present (e.g. when building arch.all packages)
$(DEB_BUILDDIR)/config.status: DEB_CONFIGURE_EXTRA_FLAGS += $(shell if test -f /usr/share/pkgconfig/gtk-doc.pc; then echo "--enable-gtk-doc"; fi)

clean::
	sed -e 's#@SONAME@#$(SONAME)#g' \
		-e 's#@GNOME_TEAM@#$(UPLOADERS)#g' \
		debian/control.in >debian/control
	
	# remove generated files
	rm -f libsql/lexer.c
	rm -f libsql/parser.c

binary-install/libgda-4.0-common::
	# Don't ship our own copy of jquery.js
	rm debian/libgda-4.0-common/usr/share/libgda-4.0/web/jquery.js
	ln -s ../../javascript/jquery/jquery.js \
		debian/libgda-4.0-common/usr/share/libgda-4.0/web/

binary-install/libgda-4.0-bin::
	# Remove gda_trml2{html,pdf} from /usr/bin, see GNOME #579458
	rm -r debian/libgda-4.0-bin/usr/bin/gda_trml2*

common-binary-post-install-arch::
	for i in libgda-4.0-common libgda-4.0-bin libgda-4.0-dev libgda-4.0-$(SONAME)-dbg \
	  libgda-4.0-mysql libgda-4.0-postgres libgda-4.0-sqlite; \
	do \
		rm -rf debian/$$i/usr/share/doc; \
		dh_link -p$$i usr/share/doc/libgda-4.0-$(SONAME) usr/share/doc/$$i; \
	done

binary-predeb/gir1.0-gda-4.0::
	dh_girepository -p$(cdbs_curpkg)

.PHONY: clean common-binary-post-install-arch

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgda/([\d\.]+[02468])/ \
	libgda-(.*)\.tar\.gz

## libgda4 4.2.4

=== debian/changelog ===
libgda4 (4.2.4-1ubuntu1) natty; urgency=low

  * debian/patches/allow-loading-sqlite-so-0.patch:
    - Load libsqlite3.so.0 if available, instead of requiring libsqlite3.so.
      LP: #722079

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Mar 2011 08:21:01 -0400

libgda4 (4.2.4-1) experimental; urgency=low

  * New upstream 

 -- Piotr Pokora <piotrek.pokora@gmail.com>  Wed, 16 Feb 2011 18:14:37 +0100

libgda4 (4.2.2-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-gda-4.0 to gir1.2-gda-4.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 23 Dec 2010 12:51:06 +0000

libgda4 (4.2.2-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release
  * Disabled SQLCipher provider
  * Removed unrecognized configure options
  * Build postgresql provider using boolean configure option
  * Standards-Version bump (3.9.1)  

  [ Emilio Pozuelo Monfort ]
  * debian/copyright:
    - Updated.
  * debian/rules:
    - Abort the build if the test suite doesn't pass.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 Dec 2010 15:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libgda4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda4/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda4/
 Build-Depends: cdbs (>= 0.4.41),
@@ -24,13 +25,13 @@
                libsoup2.4-dev,
                zlib1g-dev,
                scrollkeeper,
-               gobject-introspection (>= 0.6.5),
-               libgirepository1.0-dev (>= 0.6.5),
-               gir1.0-freedesktop,
-               gir1.0-glib-2.0
+               gobject-introspection (>= 0.10.0),
+               libgirepository1.0-dev (>= 0.10.0),
+               gir1.2-freedesktop,
+               gir1.2-glib-2.0
 Build-Depends-Indep: gtk-doc-tools,
                      sgmltools-lite
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-4.0-4
@@ -169,13 +170,14 @@
  This package contains the provider needed to access PostgreSQL
  databases through libgda.
 
-Package: gir1.0-gda-4.0
+Package: gir1.2-gda-4.0
 Section: libs
 Architecture: any
-Depends: libgda-4.0-4 (= ${binary:Version}),
-        ${shlibs:Depends},
-        ${misc:Depends},
-        ${gir:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${gir:Depends}
+Conflicts: gir1.0-gda-4.0
+Replaces: gir1.0-gda-4.0
 Description: data abstraction library based on GLib -- GObject Introspection
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata

=== debian/rules ===
--- 
+++ 
@@ -15,21 +15,16 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
-DEB_MAKE_CHECK_TARGET = check || true
+DEB_MAKE_CHECK_TARGET = check
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=$(shell pg_config --includedir)	\
+DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=yes	\
 				--without-bdb		\
-				--without-mSQL		\
-				--without-ibmdb2	\
-				--without-sybase	\
-				--without-tds		\
 				--without-oracle	\
 				--without-firebird	\
-				--without-xbase		\
 				--without-mdb		\
-				--without-ldap		\
 				--without-java		\
-				--enable-system-sqlite
+				--enable-system-sqlite  \
+				--disable-crypto
 
 # Only build the docs if this file is present (e.g. when building arch.all packages)
 $(DEB_BUILDDIR)/config.status: DEB_CONFIGURE_EXTRA_FLAGS += $(shell if test -f /usr/share/pkgconfig/gtk-doc.pc; then echo "--enable-gtk-doc"; fi)
@@ -61,7 +56,7 @@
 		dh_link -p$$i usr/share/doc/libgda-4.0-$(SONAME) usr/share/doc/$$i; \
 	done
 
-binary-predeb/gir1.0-gda-4.0::
+$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
 	dh_girepository -p$(cdbs_curpkg)
 
 .PHONY: clean common-binary-post-install-arch

## libgda4 4.2.8

=== debian/changelog ===
libgda4 (4.2.8-2) unstable; urgency=low

  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
  * debian/libgda-4.0-common.install
    - Don't install the sales_test.db test data file.
  * debian/libgda-4.0-common.preinst:
    - Cleanup /etc/libgda-4.0/sales_test.db on upgrades.
  * Upload to unstable, remove check-dist.mk from debian/rules.
  * Move Gda-4.0.gir from gir1.2-gda-4.0 into libgda-4.0-dev and add the
    necessary Breaks/Replaces.
  * Install libgda-web provider and its corresponding .pc file.
  * debian/rules:
    - Be more specific which features we enable to get reliable builds in a
      tainted build environment. Explicitly disable ldap, gnome-keyring and
      GTK+ extension and tools support.
    - Trap errors in for loop using 'set -e'.
    - Bump shlibs version to (>= 4.2.8) for libgda-4.0-4.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2011 20:59:29 +0200

libgda4 (4.2.8-1) experimental; urgency=low

  [ Piotr Pokora ]
  * New upstream release

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * debian/control.in:
    - Drop Build-Depends on dpkg-dev (>= 1.13.19), even lenny has a more
      recent version.
    - Bump Standards-Version to 3.9.2. No further changes.
    - Drop old Conflicts and Replaces which are no longer necessary.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.
  * Don't abort on test-suite failures. The test-suite needs more work first.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 23:02:17 +0200

libgda4 (4.2.6-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Piotr Pokora ]
  * New upstream release 

  [ Jordi Mallach ]
  * Include check-dist.mk.

 -- Jordi Mallach <jordi@debian.org>  Sat, 23 Apr 2011 14:01:42 +0200

libgda4 (4.2.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 28 Mar 2011 21:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libgda4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Piotr Pokora <piotrek.pokora@gmail.com>
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libgda4/
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/libgda4/
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5),
-               dpkg-dev (>= 1.13.19),
+Build-Depends: cdbs (>= 0.4.90),
+               debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
                intltool,
                pkg-config (>= 0.18),
@@ -31,7 +29,7 @@
                gir1.2-glib-2.0
 Build-Depends-Indep: gtk-doc-tools,
                      sgmltools-lite
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnome-db.org/
 
 Package: libgda-4.0-4
@@ -42,8 +40,8 @@
 Suggests: libgda-4.0-bin,
           libgda-4.0-mysql,
           libgda-4.0-postgres
-Conflicts: libgda2-1, libgda4-4, libgda4-sqlite
-Replaces: libgda2-1, libgda4-4, libgda4-sqlite
+Conflicts: libgda4-4, libgda4-sqlite
+Replaces: libgda4-4, libgda4-sqlite
 Description: data abstraction library based on GLib
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -56,8 +54,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-bin
-Replaces: libgda-common (<< 0.2.96-6.2), libgda4-bin
+Conflicts: libgda4-bin
+Replaces: libgda4-bin
 Description: data abstraction library based on GLib -- binary files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -74,8 +72,8 @@
 Depends: ${misc:Depends},
          libjs-jquery
 Recommends: libgda-4.0-4
-Conflicts: libgda-common (<< 0.2.96-6.2), libgda4-common
-Replaces: libgda-common (<< 0.2.96-6.2), libgda4-common
+Conflicts: libgda4-common
+Replaces: libgda4-common
 Description: data abstraction library based on GLib -- common files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -89,12 +87,13 @@
 Section: libdevel
 Architecture: any
 Depends: libgda-4.0-4 (= ${binary:Version}),
+         gir1.2-gda-4.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.2.0),
          libxslt1-dev,
          ${misc:Depends}
 Suggests: libgda-4.0-doc
-Conflicts: libgda4-dev, libgda4-sqlite
-Replaces: libgda4-dev, libgda4-sqlite
+Breaks: libgda4-dev, libgda4-sqlite, gir1.2-gda-4.0 (<< 4.2.8-2)
+Replaces: libgda4-dev, libgda4-sqlite, gir1.2-gda-4.0 (<< 4.2.8-2)
 Description: data abstraction library based on GLib -- development files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata
@@ -126,7 +125,6 @@
 Architecture: all
 Depends: lynx | www-browser,
          ${misc:Depends}
-Conflicts: libgda-doc
 Description: data abstraction library based on GLib -- documentation files
  libgda is a (relatively small) database abstraction/access library
  integrated on the GLib object model. It can be used as a metadata

=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,25 @@
 SONAME := 4
 
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed -Wl,-O1
+
 DEB_DH_MAKESHLIBS_ARGS_ALL += -X /usr/lib/libgda-4.0/providers
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+DEB_DH_MAKESHLIBS_ARGS_libgda-4.0-$(SONAME) += -V 'libgda-4.0-$(SONAME) (>= 4.2.8)'
 
-DEB_MAKE_CHECK_TARGET = check
+DEB_MAKE_CHECK_TARGET = check || true
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-postgres=yes	\
+DEB_CONFIGURE_EXTRA_FLAGS +=	--with-postgres		\
+				--with-mysql		\
+				--with-libsoup		\
 				--without-bdb		\
 				--without-oracle	\
+				--without-ldap		\
 				--without-firebird	\
 				--without-mdb		\
 				--without-java		\
-				--enable-system-sqlite  \
+				--without-gnome-keyring	\
+				--without-ui		\
+				--enable-system-sqlite	\
+				--enable-introspection	\
 				--disable-crypto
 
 # Only build the docs if this file is present (e.g. when building arch.all packages)
@@ -49,14 +56,11 @@
 	rm -r debian/libgda-4.0-bin/usr/bin/gda_trml2*
 
 common-binary-post-install-arch::
-	for i in libgda-4.0-common libgda-4.0-bin libgda-4.0-dev libgda-4.0-$(SONAME)-dbg \
+	set -e; for i in libgda-4.0-common libgda-4.0-bin libgda-4.0-dev libgda-4.0-$(SONAME)-dbg \
 	  libgda-4.0-mysql libgda-4.0-postgres libgda-4.0-sqlite; \
 	do \
 		rm -rf debian/$$i/usr/share/doc; \
 		dh_link -p$$i usr/share/doc/libgda-4.0-$(SONAME) usr/share/doc/$$i; \
 	done
 
-$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
-	dh_girepository -p$(cdbs_curpkg)
-
 .PHONY: clean common-binary-post-install-arch

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgda/([\d\.]+[02468])/ \
	libgda-(.*)\.tar\.bz2
